# 2. الاستعلام: الحصول على "الحقول"

مثال بسيط على استعلام "الحقول" الذي يسترجع المساحة بالهكتارات.

{% hint style="info" %}
وحدة مساحة "الحقل" يمكن أن تكون واحدة من التالي: `فدانات` أو `هكتارات` أو `متر مربع`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    الاسم
    fields {
      uuid
      الاسم
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
يوضح مثال أكثر تفصيلاً، بما في ذلك الترميز إلى صفحات والتصفية، في [43: Query Get "Fields"](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/43.-alastalam-alhswl-ala-fields.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/2.-alastalam-alhswl-ala-alhqwl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
